comedi_get_routing
Prev | 5.4.6. Extensions | Next

## Name

comedi_get_routing — get routing for an output

## Synopsis

    #include <comedilib.h>

`int comedi_get_routing(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int * routing`)`;

## Status

alpha

## Description

This function queries the routing for an output, as set by `comedi_set_routing`. The currently configured routing will be written to `*`routing``. The possible values and their corresponding routings are driver-dependant.

This function is only useable on subdevices that provide support for the `INSN_CONFIG_GET_ROUTING` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_get_hardware_buffer_size | Home | comedi_reset